import numpy as np
import cv2

vandalizedImage = cv2.imread("../Apples-vandalized.png",cv2.IMREAD_COLOR)

cv2.imshow("inpainting",vandalizedImage)
cv2.waitKey(0)

b,g,r = cv2.split(vandalizedImage)

mask = np.zeros(vandalizedImage.shape[:2],np.uint8)
mask[r==255] = 255

cv2.imwrite("mask.png",mask)

cv2.imshow("inpainting",mask)
cv2.waitKey(0)

image = cv2.inpaint(vandalizedImage,mask,3,cv2.INPAINT_NS)

cv2.imshow("inpainting",image)
cv2.waitKey(0)

cv2.destroyAllWindows()
